use tokio_cron_scheduler::{Job, JobSchedulerError};

pub fn get_task(name: String, cron: String) -> Result<Job, JobSchedulerError> {
    tracing::info!("添加定时任务: {}", name);
    Job::new_async(cron.as_str(), |_uuid, _l| {
        Box::pin(async move {
            tracing::info!("定时任务执行中");
        })
    })
}
